Edje Object File

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Edje Object File
Edje » Edje Object

Functions to deals with EDJ files. More...

## Functions
Eina_List * | edje_mmap_collection_list (Eina_File *f)
| Gets a list of groups in an edje mapped file.
void | edje_mmap_collection_list_free (Eina_List *lst)
| Frees file collection list.
Eina_List * | edje_mmap_color_class_used_list (Eina_File *f)
| Returns a list of colorclasses used in this edje file.
Eina_List * | edje_file_color_class_used_list (const char *file)
| Returns a list of colorclasses used in this edje file.
void | edje_file_color_class_used_free (Eina_List *lst)
| Frees a list of color classes used.
Eina_Bool | edje_mmap_group_exists (Eina_File *f, const char *glob)
| Determines whether a group matching glob exists in an edje mapped file.
EINA_DEPRECATED Eina_Bool | edje_mmap_3d_has (Eina_File *f, const char *group)
| Determines whether a group have 3D Scene.
Eina_Iterator * | edje_file_iterator_new (void)
| Iterates over all the opened Edje files.
Eina_List * | edje_file_collection_list (const char *file)
| Gets a list of groups in an edje file.
void | edje_file_collection_list_free (Eina_List *lst)
| Frees file collection list.
Eina_Bool | edje_file_group_exists (const char *file, const char *glob)
| Determines whether a group matching glob exists in an edje file.

## Detailed Description

Functions to deals with EDJ files.

Layouts in Edje are usually called themes and they are created using the EDC language. The EDC language is declarative and must be compiled before being used. The output of this compilation is an EDJ file, this file can be loaded by Edje, and the result is a edje object.

This groups of functions interact with these EDJ files, either by loading them or retrieving information of the EDC file about objects.

## Function Documentation

## ◆ edje_mmap_collection_list()

Eina_List * edje_mmap_collection_list | ( | Eina_File * | f | ) |

Gets a list of groups in an edje mapped file.

Parameters

  f | The mapped file

Returns
  The Eina_List of group names (char *)

Note: the list must be freed using edje_mmap_collection_list_free() when you are done with it.

References eina_hash_iterator_key_new(), EINA_ITERATOR_FOREACH, eina_iterator_free(), eina_list_append(), and eina_stringshare_add().

Referenced by edje_file_collection_list(), and edje_file_color_class_used_list().

## ◆ edje_mmap_collection_list_free()

void edje_mmap_collection_list_free | ( | Eina_List * | lst | ) |

Frees file collection list.

Parameters

  lst | The Eina_List of groups

Frees the list returned by edje_mmap_collection_list().

References edje_file_collection_list_free().

## ◆ edje_mmap_color_class_used_list()

Eina_List * edje_mmap_color_class_used_list | ( | Eina_File * | f | ) |

Returns a list of colorclasses used in this edje file.

Parameters

  f | The mapped file

Returns
  A list of strings freed by edje_file_color_class_used_free()

Since
  1.26

References eet_data_read(), eina_list_append(), EINA_LIST_FOREACH, eina_list_free(), and eina_stringshare_add().

## ◆ edje_file_color_class_used_list()

Eina_List * edje_file_color_class_used_list | ( | const char * | file | ) |

Returns a list of colorclasses used in this edje file.

Parameters

  file | The file path

Returns
  A list of strings freed by edje_file_color_class_used_free()

Since
  1.26

References edje_mmap_collection_list(), EINA_FALSE, eina_file_close(), and eina_file_open().

## ◆ edje_file_color_class_used_free()

void edje_file_color_class_used_free | ( | Eina_List * | lst | ) |

Frees a list of color classes used.

Parameters

  The | list

This frees the list returned by edje_mmap_color_class_used_list() or edje_file_color_class_used_list() when you no longer need it.

Since
  1.26

References eina_list_free().

## ◆ edje_mmap_group_exists()

Eina_Bool edje_mmap_group_exists | ( | Eina_File * | f,
|  | const char * | glob
| ) |  |

Determines whether a group matching glob exists in an edje mapped file.

Parameters

  f | The mapped file
  glob | A glob to match on

Returns
  `1` if a match is found, `0` otherwise

References EINA_FALSE, eina_file_filename_get(), eina_hash_find(), eina_hash_iterator_data_new(), EINA_ITERATOR_FOREACH, eina_iterator_free(), eina_list_append(), eina_list_free(), and EINA_TRUE.

Referenced by edje_file_group_exists().

## ◆ edje_mmap_3d_has()

EINA_DEPRECATED Eina_Bool edje_mmap_3d_has | ( | Eina_File * | f,
|  | const char * | group
| ) |  |

Determines whether a group have 3D Scene.

Parameters

  f | The mapped file
  group | The group name

Returns
  `1` if a Scene is found is found, `0` otherwise

Deprecated:

Since
  1.18

References EINA_FALSE.

## ◆ edje_file_iterator_new()

Eina_Iterator * edje_file_iterator_new | ( | void |  | ) |

Iterates over all the opened Edje files.

Returns
  an iterator of Eina_File for all currently open Edje files.

Since
  1.14

References eina_hash_iterator_data_new(), and EINA_MAGIC_SET.

## ◆ edje_file_collection_list()

Eina_List * edje_file_collection_list | ( | const char * | file | ) |

Gets a list of groups in an edje file.

Parameters

  file | The path to the edje file

Returns
  The Eina_List of group names (char *)

See also
  edje_mmap_collection_list()

Note: the list must be freed using edje_file_collection_list_free() when you are done with it.

See also
  edje_mmap_group_exists()

Examples
  entry_example.c.

References edje_mmap_collection_list(), EINA_FALSE, eina_file_close(), and eina_file_open().

## ◆ edje_file_collection_list_free()

void edje_file_collection_list_free | ( | Eina_List * | lst | ) |

Frees file collection list.

Parameters

  lst | The Eina_List of groups

Frees the list returned by edje_file_collection_list().

Examples
  entry_example.c.

References eina_list_remove(), and eina_stringshare_del().

Referenced by edje_mmap_collection_list_free().

## ◆ edje_file_group_exists()

Eina_Bool edje_file_group_exists | ( | const char * | file,
|  | const char * | glob
| ) |  |

Determines whether a group matching glob exists in an edje file.

Parameters

  file | The file path
  glob | A glob to match on

Returns
  `1` if a match is found, `0` otherwise

References edje_mmap_group_exists(), EINA_FALSE, eina_file_close(), and eina_file_open().